Bug 86557 - New "XML Form Document" cause Document Recovery dialog
Summary: New "XML Form Document" cause Document Recovery dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Michael Stahl
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-11-22 08:58 UTC by Naruhiko Ogasawara
Modified: 2014-12-01 17:42 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
LibreOfficeDev Document Recovery dialog (26.06 KB, image/png)
2014-11-22 08:58 UTC, Naruhiko Ogasawara
Details
Error message (142.91 KB, image/png)
2014-12-01 17:17 UTC, Jacques Guilleron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Naruhiko Ogasawara 2014-11-22 08:58:42 UTC
Created attachment 109840 [details]
LibreOfficeDev Document Recovery dialog

Step 1. Open LibreOffice 4.4.0 beta1 Writer
Step 2. File > New > XML Form Document

Expected result: Create new XML Form document
Actual result:  Create new XML Form document, but suddenly disappear, then "LibreOfficeDev Document Recovery" dialog comes up.  If the OK button in the dialog is clicked, Writer is rebooted.
Comment 1 Naruhiko Ogasawara 2014-11-22 09:03:07 UTC
Can't reproduce with Ubuntu 14.10 + LibreOffice 4.4.0.0 beta1
Comment 2 A (Andy) 2014-11-22 22:15:00 UTC
Reproducible with LO 4.4.0.0.beta1 (Win 8.1).  If I select FILE -> NEW -> XML FORM DOCUMENT then LibreOffice crashes and the recovery dialog opens.
Comment 3 Jacques Guilleron 2014-11-27 11:48:14 UTC
Hi,

I reproduce too with 
LO 4.4.0.0.beta1 Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
Locale: fr_FR
& Windows 7 Home Premium
but not with 
LO 4.3.4.0.0+ Build ID: 77c6ce66696a997269b9fe4dfed1dc2e51ecd00e
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-10-17_16:12:56
So, this is a regression.

Regards,

Jacques
Comment 4 Michael Stahl 2014-11-27 21:07:45 UTC
regression from:

commit 713735fc89b9e0222d8b62d051153da6932b3ebd
Author:     Szymon Kłos <eszkadev@gmail.com>
AuthorDate: Thu Jul 10 14:10:16 2014 +0200

    RID_SVX_XFORMS_TABPAGES conversion to .ui


problem is that the magic svxlo-DataTreeListBox is actually in svxcore,
and it works on linux by some accident?

fixed on master
Comment 5 Commit Notification 2014-11-27 21:08:09 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8505c7970ac05a3fda13789f1b2c50d6d979294e

fdo#86557: svx: fix crash when creating new "XML Form Document"

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-11-27 21:09:20 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=533c0c3d9ccbdb3c5a8725b43b84a3dd8d65f1cb&h=libreoffice-4-4

fdo#86557: svx: fix crash when creating new "XML Form Document"

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jacques Guilleron 2014-12-01 17:17:18 UTC
Created attachment 110312 [details]
Error message
Comment 8 Jacques Guilleron 2014-12-01 17:20:41 UTC
Trying with
LO  4.5.0.0.alpha0+ Build ID: 90fe751ab381cf59e87b79d921b3773567774af2
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-27_05:30:25 Locale: fr_FR
I get an error message.

regards,

Jacques
Comment 9 Jacques Guilleron 2014-12-01 17:24:19 UTC
Sorry,

I see now this release doen't contain the fix.

Jacques
Comment 10 Jacques Guilleron 2014-12-01 17:42:01 UTC
Works as expected,
Verified with LO 4.5.0.0.alpha0+ 
Build ID: 736b040cb158308e002d24cee8c33e794b2f59a1
TinderBox: Win-x86@39, Branch:master, Time: 2014-12-01_15:20:47 Locale: fr_FR

Thank you Michael,

Jacques